# Trait db_sqlx_maria::dev::prelude::CloneSPDatabase

source · [−]

    pub trait CloneSPDatabase {
        fn clone_db(&self) -> Box<dyn MCDatabase + 'static, Global>;
    }

Expand description

Trait to clone MCDatabase

## Required Methods

source

#### fn clone_db(&self) -> Box<dyn MCDatabase + 'static, Global>

clone DB

## Implementors

source

### impl<T> CloneSPDatabase for T where
T: 'static + MCDatabase + Clone,